> This page is for API, version 2026-01-01 (Stable) (default).
> For other versions, use one of these documentation indexes:
> - 2026-01-01 (Stable) (default): https://developer.deel.com/api/stable/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# Generate magic link for manager login

POST https://api.letsdeel.com/rest/managers/magic-links
Content-Type: application/json

Generates a single-use magic link that authenticates a manager into the platform without credentials. The target manager must belong to the requesting organization and cannot be an organization admin; this operation is restricted to White Label–enabled organizations, Partners, and Child organizations. The link expires 5 minutes after creation.

 **Token scopes**: `auth:write`

Reference: https://developer.deel.com/api/reference/endpoints/managers/generate-magic-link-for-manager-login-v-2026-01-01

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Request

### Body (application/json)

This endpoint expects an object.

- `data` (ManagersMagicLinksPostRequestBodyContentApplicationJsonSchemaData, required)

## Response

### 201

Magic link generated successfully

- `data` (ManagersMagicLinksPostResponsesContentApplicationJsonSchemaData, required)

## Errors

### 400 Bad Request Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 401 Unauthorized Error

Unauthorized - Invalid or missing authentication token

- `errors` (list of ManagersMagicLinksPostResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 403 Forbidden Error

Forbidden - Not allowed to generate magic link for this manager

- `errors` (list of ManagersMagicLinksPostResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 404 Not Found Error

Not Found - Manager does not exist or is not in organization

- `errors` (list of ManagersMagicLinksPostResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 500 Internal Server Error

Internal Server Error

- `errors` (list of ManagersMagicLinksPostResponsesContentApplicationJsonSchemaErrorsItems, optional)

## Types

### ManagersMagicLinksPostRequestBodyContentApplicationJsonSchemaData

- `manager_id` (string, required) — Manager id.
- `redirect_path` (string, optional) — Optional path to redirect the manager to after login. Must start with /.

### ManagersMagicLinksPostResponsesContentApplicationJsonSchemaData

- `created_at` (string, required) — When the magic link was created (ISO 8601 format)
- `expires_at` (string, required) — When the magic link expires (ISO 8601 format)
- `magic_link` (string, required) — The magic link URL that managers can click to log in to Deel automatically

### ApiErrorRequest

- `method` (string, optional) — The HTTP method of the failed request
- `url` (string, optional) — The relative URL of the failed request
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `source` (string, optional) — The source handler which produced the returned error
- `code` (double, optional) — The code of the source handler which produced the returned error

### ApiError

- `message` (string, optional) — A description of the returned error
- `path` (string, optional) — The JSON path where input validation failed

### ManagersMagicLinksPostResponsesContentApplicationJsonSchemaErrorsItems

- `code` (string, required) — Machine-readable error code
- `message` (string, required) — Human-readable error message

## Examples

**Request**

```json
{
  "data": {
    "manager_id": "882cc059-6126-4279-8adc-629d4c876597"
  }
}
```

**Response**

```json
{
  "data": {
    "created_at": "2025-07-06T19:46:54.000Z",
    "expires_at": "2025-07-06T19:51:54.000Z",
    "magic_link": "https://app.deel.com/login/session?token=eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ3b3JrZXJJZCI6IjEzNDI1NTEi..."
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.letsdeel.com/rest/managers/magic-links"

payload = { "data": { "manager_id": "882cc059-6126-4279-8adc-629d4c876597" } }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/managers/magic-links';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"data":{"manager_id":"882cc059-6126-4279-8adc-629d4c876597"}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/managers/magic-links"

	payload := strings.NewReader("{\n  \"data\": {\n    \"manager_id\": \"882cc059-6126-4279-8adc-629d4c876597\"\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/managers/magic-links")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"data\": {\n    \"manager_id\": \"882cc059-6126-4279-8adc-629d4c876597\"\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.letsdeel.com/rest/managers/magic-links")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"data\": {\n    \"manager_id\": \"882cc059-6126-4279-8adc-629d4c876597\"\n  }\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.letsdeel.com/rest/managers/magic-links', [
  'body' => '{
  "data": {
    "manager_id": "882cc059-6126-4279-8adc-629d4c876597"
  }
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/managers/magic-links");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"data\": {\n    \"manager_id\": \"882cc059-6126-4279-8adc-629d4c876597\"\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["data": ["manager_id": "882cc059-6126-4279-8adc-629d4c876597"]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/managers/magic-links")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```